Skip to main content
GET
List sensors

Authorizations

Authorization
string
header
required

Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or Authorization: YOUR_API_TOKEN. Each token has individual permissions; a valid token without the permission required by the method and route returns 403 TOKEN_PERMISSION_DENIED.

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:50
Required range: 1 <= x <= 500

Partial text search across the resource's registered safe search fields. Whitespace is trimmed; literal percent and underscore characters are escaped. Search is applied after account, ownership, privilege, and object scope.

Required string length: 2 - 100
order
enum<string>
default:asc
Available options:
asc,
desc
sort
enum<string>
default:sensor_id

Registered field used for sorting.

Available options:
sensor_id,
imei,
name,
type,
param,
popup,
result_type,
text_1,
text_0,
units,
lv,
hv,
formula,
calibration
imei
string

Exact-match filter for imei.

name
string

Exact-match filter for name.

type
string

Exact-match filter for type.

param
string

Exact-match filter for param.

popup
string

Exact-match filter for popup.

result_type
string

Exact-match filter for result_type.

text_1
string

Exact-match filter for text_1.

text_0
string

Exact-match filter for text_0.

units
string

Exact-match filter for units.

lv
string

Exact-match filter for lv.

hv
string

Exact-match filter for hv.

formula
string

Exact-match filter for formula.

calibration
string

Exact-match filter for calibration.

Response

Successful response

success
enum<boolean>
required
Available options:
true
data
object[]
required
meta
object